# Documentation
require 'pry'
require_relative 'player'

class BerserkPlayer < StudioGame::Player
  def initialize(name, health)
    super(name, health)
    @w00ts = 0
  end

  def w00t
    super
    @w00ts += 1
    puts "#{@name} is berserk!" if berserk?
  end

  def berserk?
    @w00ts > 5
  end

  def blam
    return super unless berserk?

    w00t
  end
end

if __FILE__ == $0
  berserker = BerserkPlayer.new('berserker', 50)
  6.times { berserker.w00t }
  2.times { berserker.blam }
  puts berserker.health
end
