require_relative 'die'
require_relative 'loaded_die'

# Domumentation
module StudioGame
  module GameTurn
    def self.take_turn(player)
      die = Die.new
      players_fate(player, die)
      treasure = TreasureTrove.random
      player.found_treasure(treasure)
    end

    def self.players_fate(player, die)
      number_rolled = die.roll
      case number_rolled
      when (1..2)
        player.blam
      when (3..4)
        puts "#{player.name} was skipped."
      else
        player.w00t
      end
    end
  end
end
